package cn.edu.xidian.graduation.modelchecking.model;

import java.util.List;

public class Conterexample {
	private List<AbstractState> states;
	private boolean spurious;

	public List<AbstractState> getStates() {
		return states;
	}

	public void setStates(List<AbstractState> states) {
		this.states = states;
	}

	public boolean isSpurious() {
		return spurious;
	}

	public void setSpurious(boolean spurious) {
		this.spurious = spurious;
	}
	
	public int size(){
		if(this.states!=null){
			return states.size();
		}
		//indicate that the conterexample is null
		return -1;
	}

	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("Conterexample size="+size()+" [\n ");
		int countInLine=0;
		for(int i=0;i<size()-1;i++){
			sb.append("#");
			sb.append(states.get(i).getId());
			sb.append("-->");
			++countInLine;
			if(countInLine==18){
				sb.append("\n");
				countInLine=0;
			}
		}
		if(size()>=1){
			sb.append("#");
			sb.append(states.get(size()-1).getId());
		}
		sb.append(" \n]");
		return sb.toString();
	}
}
