package cn.edu.xidian.graduation.modelchecking.model;

import java.util.Map;
import java.util.Set;

/**
 * 
 * @author wenqiang.fanwq
 * 
 */
public class OriginalState extends BaseState {

	public OriginalState(long id) {
		super(id);
	}

	private Map<String, Comparable> data;

	public Map<String, Comparable> getData() {
		return data;
	}

	public void setData(Object data) {
		this.data = (Map<String, Comparable>) data;
	}

	@Override
	public String toString() {
		return "OriginalState [id=" + getId() + ",data=" + data
				+ (getInfo() != null ? (",info=" + getInfo()) : "") + "]";
	}

	@Override
	public String simpleToString() {
		return ""+getId();
	}

	@Override
	public void setWeight(long weight) {
		throw new UnsupportedOperationException(
				"original state doesn't have a weight");
	}

	@Override
	public long getWeight() {
		throw new UnsupportedOperationException(
				"original state doesn't have a weight");
	}

}
